# 水杉码园使用手册

本仓库用于维护水杉码园的使用说明，帮助水杉码园新用户更方便快捷的使用水杉码园进行教育教学、代码存储、协作开发······

本仓库包括：

- [01水杉码园教师使用手册（精简版）](http://gitea.shuishan.net.cn/administrator/help_how_to_use/src/branch/master/01%e6%b0%b4%e6%9d%89%e7%a0%81%e5%9b%ad%e6%95%99%e5%b8%88%e4%bd%bf%e7%94%a8%e6%89%8b%e5%86%8c%ef%bc%88%e7%b2%be%e7%ae%80%e7%89%88%ef%bc%89/%e6%b0%b4%e6%9d%89%e7%a0%81%e5%9b%ad%e6%95%99%e5%b8%88%e4%bd%bf%e7%94%a8%e6%89%8b%e5%86%8c%ef%bc%88%e7%b2%be%e7%ae%80%e7%89%88%ef%bc%89.md)：帮助教师快速创建课程、导入课程学生、上传学习资料
- [02水杉码园教师使用手册（详细版）](http://gitea.shuishan.net.cn/administrator/help_how_to_use/src/branch/master/02%e6%b0%b4%e6%9d%89%e7%a0%81%e5%9b%ad%e6%95%99%e5%b8%88%e4%bd%bf%e7%94%a8%e6%89%8b%e5%86%8c%ef%bc%88%e8%af%a6%e7%bb%86%e7%89%88%ef%bc%89/%e6%b0%b4%e6%9d%89%e7%a0%81%e5%9b%ad%e6%95%99%e5%b8%88%e4%bd%bf%e7%94%a8%e6%89%8b%e5%86%8c%ef%bc%88%e8%af%a6%e7%bb%86%e7%89%88%ef%bc%89.md)：详细说明水杉码园教师端的使用
- [03水杉码园学生使用手册（精简版）](http://gitea.shuishan.net.cn/administrator/help_how_to_use/src/branch/master/03%e6%b0%b4%e6%9d%89%e7%a0%81%e5%9b%ad%e5%ad%a6%e7%94%9f%e4%bd%bf%e7%94%a8%e6%89%8b%e5%86%8c%ef%bc%88%e7%b2%be%e7%ae%80%e7%89%88%ef%bc%89/%e6%b0%b4%e6%9d%89%e7%a0%81%e5%9b%ad%e5%ad%a6%e7%94%9f%e4%bd%bf%e7%94%a8%e6%89%8b%e5%86%8c%ef%bc%88%e7%b2%be%e7%ae%80%e7%89%88%ef%bc%89.md)：简要说明水杉码园学生端的使用
- [04水杉码园学生使用手册（进阶版）](http://gitea.shuishan.net.cn/administrator/help_how_to_use/src/branch/master/04%e6%b0%b4%e6%9d%89%e7%a0%81%e5%9b%ad%e5%ad%a6%e7%94%9f%e4%bd%bf%e7%94%a8%e6%89%8b%e5%86%8c%ef%bc%88%e8%bf%9b%e9%98%b6%e7%89%88%ef%bc%89/%e6%b0%b4%e6%9d%89%e7%a0%81%e5%9b%ad%e5%ad%a6%e7%94%9f%e4%bd%bf%e7%94%a8%e6%89%8b%e5%86%8c%ef%bc%88%e8%bf%9b%e9%98%b6%e7%89%88%ef%bc%89.md)：介绍如何协同使用VSCode、Git与水杉码园


------------------------------

# 水杉码园版本及更新说明
#### 😛v-1.9.0
&nbsp;&nbsp;✔2022.03.01

&nbsp;&nbsp;**Change**
- 课程中文名中支持英文字母
- 一些Bug的修改

#### 😊v-1.8.0
&nbsp;&nbsp;✔2022.01.04

&nbsp;&nbsp;**Added**
- 年度报告

&nbsp;&nbsp;**Change**
- issue中HTML格式支持

#### 😀v-1.7.0
&nbsp;&nbsp;✔2021.12.01

&nbsp;&nbsp;**Added**
- 作业管理中新增作业提交截止时间设置功能

&nbsp;&nbsp;**Change**
- 导入学生功能优化

#### 🥰v-1.6.0
&nbsp;&nbsp;✔2021.10.23

&nbsp;&nbsp;**Added**
- issue中支持latex语法公式解析

&nbsp;&nbsp;**Change**
- 功能优化及一些bug的修改

#### 🧐v-1.5.0
&nbsp;&nbsp;✔2021.9.28

&nbsp;&nbsp;**Change**
- 功能优化及一些bug的修改

#### 😎v-1.4.0
&nbsp;&nbsp;✔2021.07.23

&nbsp;&nbsp;**Change**
- 一些页面显示优化
- `码园排名`功能优化
- 课程内新增全体学生可写仓库"ALLStuWrite"


#### 😃v-1.3.0
&nbsp;&nbsp;✔2021.05.24

&nbsp;&nbsp;**Change**
- 一些页面显示优化
- 首页显示优化
- 课程内积分及排名功能优化
- 课程内开放仓库功能完善

#### 🙂v-1.2.0
&nbsp;&nbsp;✔2021.05

&nbsp;&nbsp;**Added**
- `码园排名`功能
- 仓库批量下载功能
- 课程中`开放选中的仓库`功能
- 用户访问类型
- 课程内学生专业年级信息

&nbsp;&nbsp;**Change**
- 页面显示优化
- 课程内积分及排名功能优化
- issue中可上传附件类型

#### 😎v-1.1.0 
&nbsp;&nbsp;✔2021.03

#### 😆v-1.0.0
&nbsp;&nbsp;✔2020.08
- 水杉码园诞生了~